Total servers: 0
Pages: [1]   Go Down

Author Topic: [BUG] Crash when trying to play Shock v. 1.40 Air on Linux  (Read 2318 times)

Kurko

[BUG] Crash when trying to play Shock v. 1.40 Air on Linux
« on: November 08, 2012, 04:42:31 pm »
I noticed that OLX 0.58rc3 crashes when trying to play (net or local) or open the weapon options screen in Shock v.1.40 Air mod on Linux Mint Debian 64bit. Windows version works fine, as well as 0.59b9.

The actual error seems to be this:

Code: [Select]
*** glibc detected *** ./openlierox: double free or corruption (out): <address> ***
Console output logs here:

Trying to play:
http://bpaste.net/show/eKJSLaUPYbnIOI6ZRYxv/

Trying to open weapon options:
http://bpaste.net/show/qgaqP9PZmYYVP0BGkoRc/

albert

Re: [BUG] Crash when trying to play Shock v. 1.40 Air on Linux
« Reply #1 on: June 26, 2014, 10:45:01 am »
(Thanks to the spammer, I noticed this post. :P)

Is this up-to-date? Have you reported this also on GitHub? https://github.com/albertz/openlierox/issues

From a fast look, it looks more like this is related to SDL / SDL_mixer. Maybe this goes away if you update SDL?

Temari

Re: [BUG] Crash when trying to play Shock v. 1.40 Air on Linux
« Reply #2 on: June 26, 2014, 12:09:09 pm »
I had a same kind of bug a while ago, but it was fixed on some SDL update, so I think this is fixed too.

Kurko

Re: [BUG] Crash when trying to play Shock v. 1.40 Air on Linux
« Reply #3 on: June 27, 2014, 05:26:34 pm »
Yep, this is gone. SDL update fixed it a long time ago.
Pages: [1]   Go Up